Bug 783609 (CVE-2012-0789) - CVE-2012-0789 php: strtotime timezone memory leak
Summary: CVE-2012-0789 php: strtotime timezone memory leak
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2012-0789
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 819855 819856 830727 830728 830729 830730
Blocks: 782956 835958 835959 835960
TreeView+ depends on / blocked
 
Reported: 2012-01-21 00:46 UTC by Kurt Seifried
Modified: 2019-09-29 12:50 UTC (History)
6 users (show)

Fixed In Version: php 5.3.9
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-27 21:14:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2012:1045 normal SHIPPED_LIVE Moderate: php security update 2012-06-27 19:48:39 UTC
Red Hat Product Errata RHSA-2012:1046 normal SHIPPED_LIVE Moderate: php security update 2012-06-27 19:48:23 UTC
Red Hat Product Errata RHSA-2012:1047 normal SHIPPED_LIVE Moderate: php53 security update 2012-06-27 19:47:13 UTC

Description Kurt Seifried 2012-01-21 00:46:18 UTC
https://bugs.php.net/bug.php?id=53502

 [2010-12-08 21:04 UTC] jsheridan at tenable dot com

Description:
------------
strtotime calls with a timezone embedded function correctly but continually use up 
memory. In a daemon program this becomes quickly fatal.


Test script:
---------------
<?php
while (true) {
    strtotime('Monday 00:00 Europe/Paris');    // Memory leak
}
?>

<?php
while (true) {
    date_default_timezone_set("Europe/Paris");
    strtotime('Monday 00:00');    // No memory leak
}
?>

Expected result:
----------------
Memory usage should remain stable.

Comment 8 Stefan Cornelius 2012-05-15 13:34:42 UTC
Duping against bug 169857.

*** This bug has been marked as a duplicate of bug 169857 ***

Comment 14 Stefan Cornelius 2012-05-29 08:30:42 UTC
Statement:

(none)

Comment 17 errata-xmlrpc 2012-06-27 15:52:17 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1047 https://rhn.redhat.com/errata/RHSA-2012-1047.html

Comment 18 errata-xmlrpc 2012-06-27 15:52:54 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2012:1046 https://rhn.redhat.com/errata/RHSA-2012-1046.html

Comment 19 errata-xmlrpc 2012-06-27 15:54:06 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2012:1045 https://rhn.redhat.com/errata/RHSA-2012-1045.html


Note You need to log in before you can comment on or make changes to this bug.